package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttGrpjBase;

/** 沟渠信息 Service */
public interface GrpjService {
    /**
     * 查询沟渠信息列表
     * 
     * @param attGrpjBase 查询条件
     * @return 沟渠信息列表
     */
    public List<AttGrpjBase> selectAttGrpjBaseList(AttGrpjBase attGrpjBase);

    /**
     * 通过沟渠编码查询沟渠信息
     * 
     * @param grpjCode 沟渠编码
     * @return 沟渠信息
     */
    public AttGrpjBase selectAttGrpjBaseById(String grpjCode);

    /**
     * 批量删除沟渠信息
     * 
     * @param grpjCodes 沟渠编码数组
     * @return 删除行数
     */
    public int deleteAttGrpjBaseByIds(String[] grpjCodes);

    /**
     * 新增沟渠信息
     * 
     * @param attGrpjBase 沟渠信息
     * @return 插入行数
     */
    public int insertAttGrpjBase(AttGrpjBase attGrpjBase);

    /**
     * 修改沟渠信息
     * 
     * @param attGrpjBase 沟渠信息
     * @return 更新行数
     */
    public int updateAttGrpjBase(AttGrpjBase attGrpjBase);
}
